from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XColorScaleEntry(Protocol):
    def getColor(self) -> Color: ...
    def setColor(self, Color: Color) -> None: ...
    def getFormula(self) -> str: ...
    def setFormula(self, Formula: str) -> None: ...
    def getType(self) -> int: ...
    def setType(self, Type: int) -> None: ...
